# Class CheckEditingSupport

EditingSupport
org.eclipse.nebula.jface.gridviewer.CheckEditingSupport

public abstract class CheckEditingSupport extends EditingSupport
.

## Constructor Summary

Constructors
Constructor
Description
`CheckEditingSupport(ColumnViewer viewer)`
Checkbox editing support.

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`canEdit(Object element)`
`protected CellEditor`
`getCellEditor(Object element)`
`protected Object`
`getValue(Object element)`
`abstract void`
`setValue(Object element, Object value)`

## Constructor Details

### CheckEditingSupport

public CheckEditingSupport(ColumnViewer viewer)
Checkbox editing support.

Parameters:
  `viewer` - column to add check box support for.

## Method Details

### canEdit

protected boolean canEdit(Object element)

### getCellEditor

protected CellEditor getCellEditor(Object element)

### getValue

protected Object getValue(Object element)

### setValue

public abstract void setValue(Object element, Object value)